%define name gtm
%define version 0.4.9
%define release 2mdk

Summary: GNOME TransferManager allows the user to retrieve multiple files from the web.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.sourceforge.net/gtm/%{name}-%{version}.tar.bz2
Source2: %{name}_icons.tar.bz2
License: GPL
URL: http://gtm.sourceforge.net/
Group: Networking/File transfer
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: wget gnome-core-devel
Requires: wget

%description
GNOME Transfer Manager allows the user to retrieve multiple files from the web. 
These files can be retrieved in multiple parts and each part retrieved on 
a separate session that the user is connected to the Internet.
This is most useful to users with dialup connections. 
The program performs this tasks using wget as it's back-end. 

%package applet
Summary:        GNOME applets for gtm
Group:          Networking/File transfer
Requires: %{name} = %{version}
%description applet
This package provides GNOME applet for GTM


%prep
rm -rf $RPM_BUILD_ROOT  

%setup -q
bzcat %{SOURCE2} | tar xf -

%build
%configure

%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu

cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="x11" \
 section="Networking/File transfer" \
 title="Gtm" \
 longtitle="Gnome transfert manager" \
 command="%{_bindir}/gtm" \
 icon="gtm.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT{%_iconsdir,%_liconsdir,%_miconsdir}

cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_datadir}/gnome/help/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/idl/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_mandir}/man1/gtm.1.*
%config(noreplace) /etc/CORBA/servers/gtm.gnorba
%config(noreplace) /etc/sound/events/*
%{_bindir}/gtm
%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%files applet
%defattr(-,root,root)
%doc README
%{_bindir}/gtm_applet
%config(noreplace) /etc/CORBA/servers/gtm_applet.gnorba
%{_datadir}/applets/*/*
%{_mandir}/man1/gtm_applet.1.*

%changelog
* Sat Jul 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-2mdk
- rebuild

* Mon Apr 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.9-1mdk
- Release 0.4.9

* Sat Mar 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-2mdk
- small fixes 

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.7-1mdk
- Release 0.4.7

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.6-1mdk
- Release 0.4.6
- Put applet in separate package (and make Warly happy :)
- Embed menu entry in specfile
- Clean spec

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-2mdk
- rebuild

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- BM
- macros
- added %lang

* Tue Jul 11 2000 Vincent Saugey <vince@mandrakesoft.com> 0.4.4-1mdk
- First mdk release
